Api referenceExperiments
POST
/experiments/{id}/promote

Authorization

bearerAuth
AuthorizationBearer <token>

API key in format zk_live_* or zk_test_*

In: header

Path Parameters

id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

variant_name?string

Force promote a specific variant. If omitted, auto-selects the statistically significant winner.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://zend.sh/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/promote" \  -H "Content-Type: application/json" \  -d '{}'
{
  "status": "completed",
  "winner": "string",
  "winner_variant_id": "9e615352-94fc-4668-a969-545e4da552d1",
  "message": "string"
}
{
  "type": "string",
  "message": "string",
  "field": "string",
  "status": 0
}
{
  "type": "string",
  "message": "string",
  "field": "string",
  "status": 0
}
{
  "type": "string",
  "message": "string",
  "field": "string",
  "status": 0
}